package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2019/10/1
 */
public enum SalarySettlementTypeEnum implements BaseEnum<String,SalarySettlementTypeEnum> {

    TEACHER_DEFAULT("TEACHER_DEFAULT","老师默认课酬"),
    RATIO_DISCOUNT("RATIO_DISCOUNT","课程单价比例折扣"),
    FIXED_SALARY("FIXED_SALARY","固定课酬"),
    GRADIENT_SALARY("GRADIENT_SALARY","梯度课酬");

    private String code;

    private String msg;

    SalarySettlementTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
